org.eclipse.jdt.ui.wizards

## Class NewPackageWizardPage

- java.lang.Object
- - org.eclipse.jface.dialogs.DialogPage
  - - org.eclipse.jface.wizard.WizardPage
    - - org.eclipse.jdt.ui.wizards.NewElementWizardPage
      - - org.eclipse.jdt.ui.wizards.NewContainerWizardPage
        - - org.eclipse.jdt.ui.wizards.NewPackageWizardPage

All Implemented Interfaces:
  IDialogPage, IMessageProvider, IWizardPage

    public class NewPackageWizardPage
    extends NewContainerWizardPage

Wizard page to create a new package.

Note: This class is not intended to be subclassed, but clients can instantiate. To implement a different kind of a new package wizard page, extend `NewContainerWizardPage`.

Since:
  2.0
Restriction:
  This class is not intended to be subclassed by clients.

### Field Summary

### Fields inherited from class org.eclipse.jdt.ui.wizards.NewContainerWizardPage

`CONTAINER, fContainerStatus`

### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

`ERROR, INFORMATION, NONE, WARNING`

### Constructor Summary

Constructors
Constructor and Description
`NewPackageWizardPage()` Creates a new `NewPackageWizardPage`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createControl(Composite parent)`
`void` `createPackage(IProgressMonitor monitor)` Creates the new package using the entered field values.
`IResource` `getModifiedResource()` Returns the resource handle that corresponds to the element that was created or will be created.
`IPackageFragment` `getNewPackageFragment()` Returns the created package fragment.
`String` `getPackageText()` Returns the content of the package input field.
`IRunnableWithProgress` `getRunnable()` Returns a runnable that creates a package using the current settings.
`protected void` `handleFieldChanged(String fieldName)` Hook method that gets called when a field on this page has changed.
`void` `init(IStructuredSelection selection)` The wizard owning this page is responsible for calling this method with the current selection.
`boolean` `isCreatePackageDocumentation()` Returns the content of the create package documentation input field.
`protected void` `setFocus()` Sets the focus to the package name input field.
`void` `setPackageText(String str, boolean canBeModified)` Sets the content of the package input field to the given value.
`void` `setVisible(boolean visible)`

### Methods inherited from class org.eclipse.jdt.ui.wizards.NewContainerWizardPage

`chooseContainer, containerChanged, createContainerControls, getContainerLabel, getCurrentTextSelection, getInitialJavaElement, getJavaProject, getMaxFieldWidth, getPackageFragmentRoot, getPackageFragmentRootText, getWorkspaceRoot, initContainerPage, initContainerPage, setFocusOnContainer, setPackageFragmentRoot`

### Methods inherited from class org.eclipse.jdt.ui.wizards.NewElementWizardPage

`updateStatus, updateStatus`

### Methods inherited from class org.eclipse.jface.wizard.WizardPage

`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isCurrentPage, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp`

### Constructor Detail

#### NewPackageWizardPage

    public NewPackageWizardPage()

Creates a new `NewPackageWizardPage`

### Method Detail

#### init

    public void init(IStructuredSelection selection)

The wizard owning this page is responsible for calling this method with the current selection. The selection is used to initialize the fields of the wizard page.

Parameters:
  `selection` - used to initialize the fields

#### createControl

    public void createControl(Composite parent)

#### setVisible

    public void setVisible(boolean visible)

Specified by:
  `setVisible` in interface `IDialogPage`
Overrides:
  `setVisible` in class `NewElementWizardPage`
See Also:
  `IDialogPage.setVisible(boolean)`

#### setFocus

    protected void setFocus()

Sets the focus to the package name input field.

#### handleFieldChanged

    protected void handleFieldChanged(String fieldName)

Description copied from class: `NewContainerWizardPage`
Hook method that gets called when a field on this page has changed. For this page the method gets called when the source folder field changes.

Every sub type is responsible to call this method when a field on its page has changed. Subtypes override (extend) the method to add verification when a own field has a dependency to an other field. For example the class name input must be verified again when the package field changes (check for duplicated class names).

Overrides:
  `handleFieldChanged` in class `NewContainerWizardPage`
Parameters:
  `fieldName` - The name of the field that has changed (field id). For the source folder the field id is `CONTAINER`

#### getPackageText

    public String getPackageText()

Returns the content of the package input field.

Returns:
  the content of the package input field

#### isCreatePackageDocumentation

    public boolean isCreatePackageDocumentation()

Returns the content of the create package documentation input field.

Returns:
  the content of the create package documentation input field
Since:
  3.9

#### setPackageText

    public void setPackageText(String str,
                               boolean canBeModified)

Sets the content of the package input field to the given value.

Parameters:
  `str` - the new package input field text
  `canBeModified` - if `true` the package input field can be modified; otherwise it is read-only.

#### getModifiedResource

    public IResource getModifiedResource()

Returns the resource handle that corresponds to the element that was created or will be created.

Returns:
  A resource or null if the page contains illegal values.
Since:
  3.0

#### getRunnable

    public IRunnableWithProgress getRunnable()

Returns a runnable that creates a package using the current settings.

Returns:
  the runnable that creates the new package

#### getNewPackageFragment

    public IPackageFragment getNewPackageFragment()

Returns the created package fragment. This method only returns a valid value after `getRunnable` or `createPackage` have been executed.

Returns:
  the created package fragment

#### createPackage

    public void createPackage(IProgressMonitor monitor)
                       throws CoreException,
                              InterruptedException

Creates the new package using the entered field values.

Parameters:
  `monitor` - a progress monitor to report progress. The progress monitor must not be `null`
Throws:
  `CoreException` - Thrown if creating the package failed.
  `InterruptedException` - Thrown when the operation has been canceled.
Since:
  2.1